Bug 24240 - List on opac missing close form tag under some conditions
Summary: List on opac missing close form tag under some conditions
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-13 14:24 UTC by Nick Clemens
Modified: 2020-01-15 22:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07, 18.11.13


Attachments
Bug 24240: Move form closing tag outside of conditional (2.00 KB, patch)
2019-12-13 14:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24240: Move form closing tag outside of conditional (2.05 KB, patch)
2019-12-15 21:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24240: Move form closing tag outside of conditional (2.12 KB, patch)
2019-12-16 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-13 14:24:10 UTC
The myform form on opac-shelves.tt only gets a closing tag if the user can manage the list or remove items. For public lists this is often not the case
Comment 1 Nick Clemens 2019-12-13 14:26:00 UTC
Created attachment 96253 [details] [review]
Bug 24240: Move form closing tag outside of conditional

To test:
1 - Create a public list
2 - View the list as a user not signed in
3 - Validate the HTML, note the div closed with open elements, and a form tag unclosed
4 - Apply patch
5 - Those errors are fixed
Comment 2 Owen Leonard 2019-12-15 21:51:27 UTC
Created attachment 96298 [details] [review]
Bug 24240: Move form closing tag outside of conditional

To test:
1 - Create a public list
2 - View the list as a user not signed in
3 - Validate the HTML, note the div closed with open elements, and a form tag unclosed
4 - Apply patch
5 - Those errors are fixed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2019-12-16 11:22:15 UTC
Created attachment 96314 [details] [review]
Bug 24240: Move form closing tag outside of conditional

To test:
1 - Create a public list
2 - View the list as a user not signed in
3 - Validate the HTML, note the div closed with open elements, and a form tag unclosed
4 - Apply patch
5 - Those errors are fixed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-12-16 21:08:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-02 17:23:27 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 6 Lucas Gass 2020-01-07 22:35:35 UTC
backported to 19.05.x for 19.05.07
Comment 7 Hayley Mapley 2020-01-10 01:38:00 UTC
Backported to 18.11.x for 18.11.13